Notifications

List the current human notification preferences

GET
/api/projects/{projectId}/notification-preferences

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
preferences*array<>
Example Request
curl -X GET 'https://postbot.example/api/projects/string/notification-preferences'
Example Response
{
  "preferences": [
    {
      "kind": "publication_published",
      "inAppEnabled": true
    }
  ]
}

Was this page helpful?